Workflows

GET/workflows

List workflows

Optional attributes

  • Name
    workflow_ids
    Type
    array<string>
    Description
  • Name
    search_attributes[user_id]
    Type
    integer
    Description
    1
  • Name
    search_attributes[fba_plan_id]
    Type
    string
    Description
    019953ae-7a0d-7342-956a-881dcdbe42ad
  • Name
    per_page
    Type
    integer
    Description
    10

Request

GET/workflows
curl -G https://YOUR_DOMAIN/api/workflows \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
POST/workflows/dispatch

Dispatch a workflow

Required attributes

  • Name
    type
    Type
    string
    Description
    fbaTransport_autoplanner

Optional attributes

  • Name
    input
    Type
    object
    Description
    Workflow-specific input. Required fields depend on the selected type.
  • Name
    search_attributes
    Type
    object
    Description
  • Name
    search_attributes.fba_plan_id
    Type
    string
    Description
    019953ae-7a0d-7342-956a-881dcdbe42ad

Request

POST/workflows/dispatch
curl -X POST https://YOUR_DOMAIN/api/workflows/dispatch \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "fbaTransport_autoplanner",
    "input": {
        "plan_id": "019953ae-7a0d-7342-956a-881dcdbe42ad"
    },
    "search_attributes": {
        "fba_plan_id": "019953ae-7a0d-7342-956a-881dcdbe42ad"
    }
}'